Bug 175056 - [MAINTAINER] lang/py27-mx-base: update to 3.2.5
[MAINTAINER] lang/py27-mx-base: update to 3.2.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 11:50 UTC by Muhammad Moinur Rahman
Modified: 2013-01-07 10:34 UTC (History)
0 users

See Also:


Attachments
py27-mx-base-3.2.5.patch (3.11 KB, patch)
2013-01-06 11:50 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-01-07 09:57:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-01-07 10:28:06 UTC
Author: rm
Date: Mon Jan  7 10:27:57 2013
New Revision: 310032
URL: http://svnweb.freebsd.org/changeset/ports/310032

Log:
  - update to 3.2.5
  - trim Makefile header
  - convert to optionsng
  
  while here:
  - remove indefinite article
  - fix fetch
  - limit to python 2.x only (except/print)
  - whitespace fix in pkg-descr
  - fix pkg-plist
  
  PR:		175056
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com> (maintainer)

Modified:
  head/lang/py-mx-base/Makefile
  head/lang/py-mx-base/distinfo
  head/lang/py-mx-base/pkg-descr
  head/lang/py-mx-base/pkg-plist

Modified: head/lang/py-mx-base/Makefile
==============================================================================
--- head/lang/py-mx-base/Makefile	Mon Jan  7 09:54:11 2013	(r310031)
+++ head/lang/py-mx-base/Makefile	Mon Jan  7 10:27:57 2013	(r310032)
@@ -1,32 +1,34 @@
-# New ports collection makefile for:	py-mx-base
-# Date created:		18 March 2001
-# Whom:			Thomas Gellekum <tg@FreeBSD.org>
-#
+# Created by: Thomas Gellekum <tg@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	mx-base
-PORTVERSION=	3.2.4
+PORTVERSION=	3.2.5
 CATEGORIES=	lang python
-MASTER_SITES=	http://downloads.egenix.com/python/
+MASTER_SITES=	https://downloads.egenix.com/python/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	egenix-${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	5u623l20@gmail.com
-COMMENT=	The eGenix mx-Extension Series for Python
+COMMENT=	eGenix mx-Extension Series for Python
 
-USE_PYTHON=	yes
+USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes
-.if defined(WITH_ZOPE)
-USE_ZOPE=	yes
-.endif
 
 PYDISTUTILS_PKGNAME=	egenix-mx-base
 
 PORTDOCS=	COPYRIGHT MANIFEST README LICENSE PKG-INFO
 
+OPTIONS_DEFINE=	DOCS ZOPE
+ZOPE_DESC=	Use ZOPE
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MZOPE}
+USE_ZOPE=	yes
+.endif
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for i in ${PORTDOCS}
 	@${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}

Modified: head/lang/py-mx-base/distinfo
==============================================================================
--- head/lang/py-mx-base/distinfo	Mon Jan  7 09:54:11 2013	(r310031)
+++ head/lang/py-mx-base/distinfo	Mon Jan  7 10:27:57 2013	(r310032)
@@ -1,2 +1,2 @@
-SHA256 (egenix-mx-base-3.2.4.tar.gz) = bfbb9519994c33e470d58b0c7b8167e25ce7a1bbf24f2533ea1e1cc235c570f0
-SIZE (egenix-mx-base-3.2.4.tar.gz) = 4574057
+SHA256 (egenix-mx-base-3.2.5.tar.gz) = bfd0d2aeef73532697c857db26ea11a3574280b1d439d42501c36b4c1d989dce
+SIZE (egenix-mx-base-3.2.5.tar.gz) = 4575752

Modified: head/lang/py-mx-base/pkg-descr
==============================================================================
--- head/lang/py-mx-base/pkg-descr	Mon Jan  7 09:54:11 2013	(r310031)
+++ head/lang/py-mx-base/pkg-descr	Mon Jan  7 10:27:57 2013	(r310032)
@@ -3,7 +3,7 @@ eGenix.com mx Extensions for Python
 The mx Extension Series(TM) is a collection of software packages which aims at
 providing professional quality add-ons for the Open Source Language Python
 (see http://www.python.org).
-   
+
 It consists of the following packages:
 
 mxDateTime	- Generic Date/Time Types

Modified: head/lang/py-mx-base/pkg-plist
==============================================================================
--- head/lang/py-mx-base/pkg-plist	Mon Jan  7 09:54:11 2013	(r310031)
+++ head/lang/py-mx-base/pkg-plist	Mon Jan  7 10:27:57 2013	(r310032)
@@ -134,6 +134,9 @@
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpydatetime.py
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpydatetime.pyc
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpydatetime.pyo
+%%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpytimedelta.py
+%%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpytimedelta.pyc
+%%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testpytimedelta.pyo
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testrichard.py
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testrichard.pyc
 %%PYTHON_SITELIBDIR%%/mx/DateTime/mxDateTime/testrichard.pyo
@@ -467,4 +470,3 @@
 @dirrm %%PYTHON_SITELIBDIR%%/mx/URL/mxURL
 @dirrm %%PYTHON_SITELIBDIR%%/mx/URL
 @dirrm %%PYTHON_SITELIBDIR%%/mx
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-07 10:34:11 UTC
State Changed
From-To: open->closed

Committed, thank you!